ata_set_native_max_address_ext
Prev | Chapter 5. libata Core Internals | Next

## Name

ata_set_native_max_address_ext — LBA48 native max set

## Synopsis

`u64 ata_set_native_max_address_ext (` | struct ata_device * | dev,
| u64 | new_sectors`)`;

## Arguments

`dev`

  Device to query

`new_sectors`

  new max sectors value to set for the device

## Description

Perform an LBA48 size set max upon the device in question. Return the actual LBA48 size or zero if the command fails.

Prev | Up | Next
ata_read_native_max_address | Home | ata_set_native_max_address